<script setup lang="ts">
import type { BaseCard } from '@/types/base';

interface DevExBenefits {
  text: string;
  image: BaseImage;
  cardGroups: Array<{
    cardHeader: string;
    cards: BaseCard[];
  }>;
  caseStudy?: BaseQuoteCard;
}
defineProps<DevExBenefits>();
</script>

<template>
  <section id="benefits-container">
    <SlpContainer>
      <SlpRow class="header">
        <SlpColumn :cols="6" class="benefits-text animation-wrapper slp-pr-lg-48">
          <div class="text__span slp-mb-24" v-html="$md.render(text)"></div>
        </SlpColumn>
        <SlpColumn :cols="6" class="benefits-image">
          <div class="image">
            <img :src="image.config.src" :alt="image.altText" class="image__img" />
          </div>
        </SlpColumn>
      </SlpRow>
      <div id="cards-container">
        <div v-for="cardGroup in cardGroups" :key="cardGroup.cardHeader">
          <SlpTypography variant="heading4-bold" tag="h4" class="slp-mt-64 animated">{{
            cardGroup.cardHeader
          }}</SlpTypography>
          <SlpRow class="cards-row">
            <div v-for="card in cardGroup.cards" :key="card.title" :cols="4" class="cards slp-mt-32">
              <CommonCard v-bind="card" />
            </div>
          </SlpRow>
        </div>
      </div>
      <CommonQuoteCarousel v-bind="caseStudy" />
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
#benefits-container {
  padding-bottom: 240px;
  background: linear-gradient(0deg, #fff, hsla(0, 0%, 100%, 0)), linear-gradient(100deg, #fed5db, #d7c1f2 100%);

  .header {
    padding-top: 120px;
  }
  @media (max-width: $breakpoint-md) {
    padding-bottom: $spacing-48;
  }

  .benefits-text {
    display: flex;
    align-items: center;
  }

  .image__img {
    width: 100%;
  }

  .text__span {
    font-size: 50px;
    font-weight: 600;
    line-height: 60px;
    letter-spacing: -1.4px;
  }
  :deep(strong) {
    -webkit-text-fill-color: transparent;
    background: linear-gradient(91.08deg, #fca326 -9.03%, #a686f2 27.88%, #a989f5 65.98%);
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    font-weight: 600;
  }
}

#cards-container {
  padding-bottom: 120px;

  .cards-row {
    justify-content: space-between;

    @media (max-width: $breakpoint-md) {
      justify-content: center;

      .card {
        max-width: 100%;
      }
    }
  }
  .cards {
    display: flex;
    justify-content: center;
  }
  .card {
    max-width: 360px;
  }
}
</style>
